Subject: Re: Wanna help adjust gnu C compiler for windows? (fwd)
From: Chris Faylor <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: Christopher Faylor <[email-masked]>
Date: Wed, 30 Jun 1999 18:07:44 -0400

On Wed, Jun 30, 1999 at 04:03:32PM -0500, Mumit Khan wrote:
>Christopher Faylor <[email-masked]> writes:
>> On Wed, Jun 30, 1999 at 09:59:25AM -0400, Joshua Rosen wrote:
>> >> Here is the situation:  The gnu/cygnus C compiler for windows does not
>> >> presently fully implement the MS win32 API.
>> >
>> >What's the cause of this? Lack of libraries? Lack of header files?
>> 
>> It's a good question.  I actually found the post pretty opaque.
>> 
>> How would a C compiler implement an API, exactly?  Are we talking about
>> autogenerating C code?  And, why would it need to implement the
>> Microsoft API?  Since Microsoft has already implemented the API and
>> provides DLLs for that purpose what is the "C compiler" going to do
>> here?  Dunno.
>> 
>> I'm bemused by the fact that Cygnus is going to be very interested in
>> this.  As Win32 manager you'd think that I would have heard about
>> something about this before now.
>
>The person who posted this has never bothered to ask *anybody* involved 
>with x86-win32 ports of GCC, nor has clear ideas on what the project is.
>In fact, nobody seems to know what know what is missing from GCC or what
>exactly "implementation of MS win32 API" means!
>
>I have to admit that I was more annoyed than bemused, at least at first.
>
>I've been in touch with Bob Marcum, and hopefully we'll figure out what
>that posting really was about.

It should be interesting.  I sincerely hope that this didn't somehow
actually originate from somebody at Cygnus.

The only thing I can think of that's missing from gcc is the ability to
fully parse some of the MS header files and the ability to use MS object
files.  Those are hardly API issues, though.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]